#if !defined(AFX_TRADESET_H__CA4A97D7_278B_11D4_9FC0_080009EE62AA__INCLUDED_)
#define AFX_TRADESET_H__CA4A97D7_278B_11D4_9FC0_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TradeSet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTradeSet DAO recordset

class CTradeSet : public CDaoRecordset
{
public:
	int GetNextID();
	bool Select(int StockID);
	CTradeSet(CDaoDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CTradeSet)

// Field/Param Data
	//{{AFX_FIELD(CTradeSet, CDaoRecordset)
	long	m_TradeID;
	long	m_StockID;
	COleDateTime	m_TradeDate;
	double	m_Price;
	double	m_Change;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTradeSet)
	public:
	virtual CString GetDefaultDBName();		// Default database name
	virtual CString GetDefaultSQL();		// Default SQL for Recordset
	virtual void DoFieldExchange(CDaoFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRADESET_H__CA4A97D7_278B_11D4_9FC0_080009EE62AA__INCLUDED_)
